//  Fish Supper
//  Copyright (C) 2006 Matthew Clarke <matthew_larcke@lycos.co.uk>
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.




#include "fish.h"




// *******************
// *** CONSTRUCTOR ***
// *******************
FS::Fish::Fish()
{
    x = FISH_X;
    y = FISH_Y;
    width = FISH_WIDTH;
    height = FISH_HEIGHT;
    
    dest_rect.x = FISH_X;
    dest_rect.y = FISH_Y;
    
    dirty_rect.x = FISH_X;
    dirty_rect.y = FISH_Y;
    dirty_rect.w = FISH_WIDTH;
    dirty_rect.h = FISH_HEIGHT;
    
} // FS::Fish::Fish()

// ******************
// *** DESTRUCTOR ***
// ******************
FS::Fish::~Fish()
{
    // nothing yet
    
} // FS::Fish::~Fish()




// ************************
// *** MEMBER FUNCTIONS ***
// ************************

// **************************************************

void FS::Fish::draw(PlayDisplay * pd)
{
    // ...
    pd->request_blit(FISH, NULL, &dest_rect);
    pd->request_update(dirty_rect);
    
} // FS::Fish::draw()

// **************************************************
// **************************************************
// **************************************************
// **************************************************
// **************************************************     
